﻿@media (min-width: 1200px) {
    .content-container {
        max-width: 1140px;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}

.reveal {
    opacity: 0;
    transform: translateY(10dvh);
}

/* Section1 */
.home-section1-container {
    width: 96%;
    min-height: 30rem;
    margin: 0 auto;
    margin-top: 3rem;
    background-image: url(/images/Home/Section1-background.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    padding: 0 5rem;
    justify-content: space-between;
    align-items: center;
    border-radius: 1.3rem;
    position: relative;
}

.section1-content-container {
    display: flex;
    flex-direction: column;
}

.section1-content-h1 {
    font-size: 2.5rem;
    color: var(--PrimaryColor7);
}

.section1-image {
    width: 24rem;
    position: absolute;
    right: 5rem;
    top: 2rem;
}

.section1-button {
    background-color: #3974ff;
    color: var(--PrimaryColor7);
    padding: 0.5rem 0rem;
    width: 13rem;
    text-align: center;
    border-radius: 2rem;
    margin-top: 1.2rem;
    transition: all 0.2s ease-in-out;
}

    .section1-button:hover {
        transform: translateY(-4px);
        color: var(--PrimaryColor7);
        cursor: pointer;
    }

/* SECTION2 */
.home-section2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1.2rem;
    box-sizing: border-box;
    height: auto !important;
    margin-top: 10rem;
}

.section2-content-container {
    display: grid;
    grid-template-columns: repeat(4, 14rem);
    grid-template-rows: repeat(9, 2.5rem);
    grid-template-areas:
        "area1 area1 area6 area8"
        "area1 area1 area6 area8"
        "area1 area1 area6 area8"
        "area2 area4 area6 area8"
        "area2 area4 area7 area8"
        "area2 area4 area7 area8"
        "area3 area5 area7 area8"
        "area3 area5 area7 area8"
        "area3 area5 area7 area8";
    gap: 1rem 2rem;
}

.section2-area1-h2 {
    color: var(--PrimaryColor3);
    font-size: 2.5rem;
    margin: 0;
}

.section2-h2-responsive {
    display: none;
}

.section2-area1-h3 {
    color: var(--PrimaryColor1);
    font-size: 2.5rem;
}

.section2-area {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.2s ease-in-out;
    position: relative;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 1rem;
}

    .section2-area:hover {
        transform: translateY(-0.4dvh);
        filter: drop-shadow(0px 0px 15px #5555);
    }

.home-section2 img {
    width: auto;
    height: 100%;
    object-fit: cover;
    border-radius: 1rem;
}

.section2-area-information {
    background-color: var(--PrimaryColor7);
    border-radius: 1rem;
    position: absolute;
    bottom: 0.5rem;
    right: 0.5rem;
}

.section2-area-p {
    margin: 0;
    text-align: center;
    color: var(--PrimaryColor1);
    font-size: 0.7rem;
    padding: 0.4rem 0.5rem;
    font-weight: 600;
}

.area-information-image {
    width: 1rem !important;
}

.area-information-a {
    color: #8052ee;
    font-weight: bolder;
    margin: 0;
    font-size: 0.7rem;
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}

    .area-information-a:hover {
        color: #8052ee;
        cursor: pointer;
    }


.section2-area1 {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    grid-area: area1;
}

.section2-area2 {
    grid-area: area2;
    background-image: url(/images/Home/Section2-image1.png);
}

.section2-area3 {
    grid-area: area3;
    background-image: url(/images/Home/Section2-image2.png);
}

.section2-area4 {
    grid-area: area4;
    background-image: url(/images/Home/Section2-image3.png);
}

.section2-area5 {
    grid-area: area5;
    background-image: url(/images/Home/Section2-image4.png);
}

.section2-area6 {
    grid-area: area6;
    background-image: url(/images/Home/Section2-image5.png);
}

.section2-area7 {
    grid-area: area7;
    background-image: url(/images/Home/Section2-image6.png);
}

.section2-area8 {
    grid-area: area8;
    background-image: url(/images/Home/Section2-image7.webp);
}

.section2-button {
    display: none;
}

/* Section3 */
.home-section3-container {
    display: flex;
    background-color: #d3d3fe;
    margin-top: 8rem;
    justify-content: center;
    align-items: center;
    gap: 3.5rem;
    width: 100vw;
    min-height: 30rem;
    position: relative;
}

.section3-item-container {
    width: 15rem;
    min-height: 15rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.section3-image-container {
    background-color: var(--PrimaryColor7);
    width: 7rem;
    height: 7rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    border-radius: 1.4rem;
    color: var(--PrimaryColor1);
    transition: all 0.2s ease-in-out;
}

.section3-svg-icon {
    width: 3rem;
    height: 3rem;
}

.section3-item-title {
    text-align: center;
    color: var(--PrimaryColor1);
    font-weight: 600;
    font-size: 1.35rem;
    line-height: 1.2;
    margin: 0;
}

.section3-button {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 4rem;
    background-color: #3974ff;
    color: var(--PrimaryColor7);
    padding: 0.5rem 1rem;
    border-radius: 5rem;
}

    .section3-button:hover {
        color: var(--PrimaryColor7);
    }

.section3-image-container:hover {
    background-color: var(--PrimaryColor1);
    color: var(--PrimaryColor7);
}

/* Section4 */
.section4-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 8rem;
    overflow: hidden;
}

.section4-h2 {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 500;
    color: var(--PrimaryColor1);
}

.section4-h2-span {
    color: var(--PrimaryColor3);
}

.section4-content-container {
    width: auto;
    display: flex;
    transition: transform 0.7s ease-in-out;
    height: 42rem;
}


.section4-item-container {
    width: 100%;
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4rem;
}

.section4-item-image {
    width: 20rem;
}

.section4-item-text {
    font-size: 1.6rem;
    color: var(--PrimaryColor6);
}


/* --- PUNTOS DEL CARRUSEL --- */
.carousel-thumbnails {
    display: flex;
    gap: 1rem;
    margin-top: 2rem;
    justify-content: center;
    flex-wrap: wrap;
    height: 65px;
}

    .carousel-thumbnails img {
        width: 60px;
        height: 60px;
        object-fit: contain;
        border-radius: 8px;
        opacity: 0.6;
        cursor: pointer;
        transition: opacity 0.3s, transform 0.3s, border 0.3s;
        border: 2px solid transparent;
    }

        .carousel-thumbnails img.active-thumb {
            opacity: 1;
            transform: scale(1.05);
            border: 2px solid var(--PrimaryColor1);
        }



/* Section5 */
.section5-container {
    width: 100%;
    margin-top: 10rem;
    display: flex;
    justify-content: space-evenly;
    gap: 5rem;
}

.section5-item-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0.8rem 1.5rem;
    border-radius: 1rem;
    background-color: #f9f7fe;
    box-shadow: 0px 2px 8px #dddd;
    transition: all 0.2s ease-in-out;
}

    .section5-item-container:hover {
        transform: translateY(-4px);
    }

.section5-item-image {
    width: 100%;
}

.section5-item-title, .section5-item-text {
    color: var(--PrimaryColor1);
    text-align: center;
}

.section5-item-title {
    font-weight: 600;
    margin: 0;
    margin-top: 1.5rem
}

.section5-item-text {
    font-size: 0.9rem;
}

/* Section6 */
.section6-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10rem;
    gap: 6rem;
}

.section6-content-container {
    position: relative;
    background-image: url(/images/Home/Section6-image.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 90%;
    height: 40rem;
    border-radius: 2rem;
}

.section6-item {
    display: flex;
    align-items: center;
    width: fit-content;
    padding: 0.4rem 0.6rem;
    border-radius: 1.3rem;
    gap: 0.5rem;
    background-color: var(--PrimaryColor7);
    position: absolute;
    transition: all 0.2s ease-in-out;
}

    .section6-item:hover {
        transform: translateY(-4px);
        box-shadow: 0px 4px 10px #5555;
    }

.section6-item-image {
    width: 2rem;
    height: 2rem;
}

.section6-item-info {
    margin: 0;
    text-align: center;
    font-weight: 600;
}

.section6-h2 {
    color: var(--PrimaryColor1);
    font-weight: 600;
    font-size: 2.5rem;
}

.section6-item1 {
    left: 2rem;
    top: 2rem;
}

.section6-item2 {
    right: 8rem;
    top: 15rem;
}

.section6-item3 {
    bottom: 12rem;
    left: 6rem;
}

.section6-item4 {
    bottom: 3rem;
    right: 4rem;
}

/* Section7 */
.section7-content-container {
    display: flex;
    width: 100%;
    margin-top: 10rem;
    justify-content: center;
    align-items: center;
    gap: 5rem;
}

.section7-information-title {
    font-size: 2rem;
    line-height: 1.1;
    font-weight: 500;
}

.section7-information-text {
    width: 22rem;
    margin: 0;
}

.section7-image {
    width: 24rem;
    transition: transform 0.2s ease-in-out;
}

    .section7-image:hover {
        transform: translateY(-4px) scale(1.02);
    }

.section7-information-container {
    padding: 0.5rem;
    border-radius: 1.3rem;
    transition: all 0.2s ease-in-out;
}

    .section7-information-container:hover {
        transform: translateY(-4px);
        box-shadow: 0px 4px 10px #5555;
    }

/* Section8 */
.section8-content-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10rem;
    border-radius: 2.5rem;
    background-color: #f8f8ff;
}

.section8-title {
    text-align: center;
    font-size: 2.5rem;
    margin-top: 6rem;
    color: var(--PrimaryColor3)
}

.section8-image {
    width: 55%;
    margin: 5rem 0;
}

.section8-information {
    text-align: center;
    margin-bottom: 5rem;
    font-size: 1.4rem;
    font-weight: 600;
    color: var(--PrimaryColor3);
}

/* Section9 */
.section9-content-container {
    display: flex;
    width: 100%;
    flex-direction: column;
    margin-top: 10rem;
    align-items: center;
    justify-content: space-between;
    background-image: url(/images/Home/Section9-background.png);
    background-position: 50% 9rem;
    background-repeat: no-repeat;
    background-size: 40%;
    height: 50rem;
    position: relative;
}

.section9-item-image {
    width: 2.5rem;
    height: 2.5rem;
}

.section9-item-container {
    display: flex;
    align-items: center;
    gap: 0.6rem;
    position: absolute;
    padding: 0.5rem;
    border-radius: 1.3rem;
    transition: all 0.2s ease-in-out;
}

.section9-item-p {
    margin: 0;
    font-weight: 600;
    line-height: 1.3;
}

.section9-item1 {
    top: 10rem;
    left: 10rem;
}

.section9-item2 {
    top: 12rem;
    right: 4rem;
}

.section9-item3 {
    bottom: 14rem;
    left: 8rem;
}

.section9-item4 {
    bottom: 8rem;
    right: 11rem;
}

.section9-h2 {
    text-align: center;
    font-size: 2.5rem;
    color: var(--PrimaryColor3);
}

.section9-button {
    background-color: #3974ff;
    color: var(--PrimaryColor7);
    padding: 0.6rem 1.8rem;
    border-radius: 8rem;
    font-weight: 600;
    transition: transform 0.2s ease-in-out;
}

    .section9-button:hover {
        color: var(--PrimaryColor7);
        transform: translateY(-4px);
    }

/* Section10 */
.section10-content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10rem;
    width: 100%;
}

.section10-h2 {
    font-size: 2.5rem;
    text-align: center;
    color: var(--PrimaryColor3);
}

.section10-items-container {
    display: flex;
    margin-top: 13rem;
    gap: 3rem;
    width: 100%;
}

.section10-image {
    width: 15rem;
    position: absolute;
    top: -8rem;
    transition: transform 0.2s ease-in-out;
}

.section10-item:hover .section10-image {
    transform: scale(1.01);
}

.section10-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    border: 3px solid var(--PrimaryColor3);
    border-radius: 1.3rem;
    padding: 1.5rem;
    position: relative;
    width: 25rem;
    height: 28rem;
    padding-top: 10rem;
    transition: transform 0.2s ease-in-out;
}

    .section10-item:hover {
        transform: translateY(-4px);
    }

.section10-title {
    font-size: 1.1rem;
    color: var(--PrimaryColor2);
    font-weight: 600;
    text-align: center;
}

.section10-text {
    text-align: center;
    color: var(--PrimaryColor6);
}

/* Responsive */
@media (max-width: 950px) {
    .home-section1-container {
        padding: 0 2rem;
    }

    .section1-content-h1 {
        font-size: 2.3rem;
    }

    .section1-button {
        width: 18rem;
        font-size: 1.3rem;
    }

    .section1-image {
        width: 15rem;
        right: 1rem;
        top: 6rem;
    }

    .section2-content-container {
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        gap: 0.1rem;
    }

    .section2-area {
        width: 85%;
        height: 30rem;
    }

    .section2-area1-h2, .section2-area1-h3 {
        font-size: 4.8vw;
        text-align: center;
    }

    .section2-area2, .section2-area3, .section2-area4, .section2-area5, .section2-area6, .section2-area7, .section2-area8 {
        width: 100%;
        height: 35rem;
    }

    .section2-area1 {
        align-items: center;
        height: 14rem !important;
    }

    .section2-area-information img {
        height: 4.5rem;
    }

    .section2-area-information {
        bottom: 1.5rem;
        right: 2vw;
    }

    .section2-area1 {
        display: none;
    }

    .section2-h2-responsive {
        display: inline-block;
        text-align: center;
        color: var(--PrimaryColor1);
        font-weight: 500;
        margin-bottom: 4.2rem;
        font-size: 2.5rem;
        font-family: 'Poppins';
    }

    .section2-h2-span {
        display: inline-block;
        color: var(--PrimaryColor3);
        width: 30rem;
    }

    .home-section2 {
        overflow: hidden;
        justify-content: start;
        padding: 0;
        width: 90vw;
        margin: 0 auto;
        margin-top: 10rem;
        flex-direction: column;
    }

    .section2-area1-h2, .section2-area1-h3 {
        display: none;
    }

    .section2-content-container {
        min-width: 630vw;
        width: 630vw;
        flex-direction: row !important;
        justify-content: start;
    }

    .section2-area2, .section2-area3, .section2-area4, .section2-area5, .section2-area6, .section2-area7, .section2-area8 {
        width: 90vw;
    }

    .section2-area:hover {
        transform: translateY(0dvh);
    }

    .section2-button {
        color: var(--PrimaryColor7);
        font-size: 10vw;
        width: 5rem;
        height: 5rem;
        display: flex;
        justify-content: center;
        background-color: transparent;
        position: absolute;
        bottom: 32%;
        transform: translateY(32%);
        filter: drop-shadow(0px 0px 12px var(--PrimaryColor7));
    }

    .section2-back-button {
        left: 0;
    }

    .section2-next-button {
        right: 0;
    }

    .section2-area-p {
        font-size: 1.1rem;
    }

    .home-section3-container {
        flex-direction: column;
        padding-top: 6rem;
        padding-bottom: 10rem;
        gap: 6rem;
        width: 100%;
    }

    .section3-image-container {
        border-radius: 48%;
        transform: scale(1.25);
        margin-bottom: 1rem;
    }

    .section3-item-title {
        font-size: 1.7rem;
    }

    .section3-item-container {
        width: 20rem;
    }

    .section3-button {
        font-size: 1.3rem;
    }

    .section4-h2 {
        width: 75%;
    }

    .section4-item-container {
        flex-direction: column;
        gap: 1rem;
    }

    .section4-content-container {
        height: 56rem;
    }

    .section4-item-text {
        text-align: center;
    }

    .section5-container {
        flex-direction: column;
    }

    .section5-item-container {
        width: 70%;
        margin: 0 auto;
    }

    .section5-item-container {
        padding: 2rem;
        width: 70%;
        margin: 0 auto;
    }

    .section5-item-title {
        font-size: 1.6rem;
    }

    .section5-item-text {
        font-size: 1.3rem;
    }

    .section6-h2 {
        width: 80%;
        text-align: center;
    }

    .section6-item-info {
        font-size: 1.3rem;
    }

    .section6-item2 {
        right: 2rem;
    }

    .section6-item3 {
        bottom: 10rem;
        left: 4rem;
    }

    .section7-content-container {
        flex-direction: column;
        gap: 2rem;
    }

    .section7-information-title {
        font-size: 2.5rem;
        text-align: center;
    }

    .section7-information-text {
        width: 32rem;
        font-size: 1.3rem;
        margin: 0 auto;
    }

    .section7-image {
        width: 30rem;
    }

    .section8-content-container {
        width: 96%;
        margin: 0 auto;
        margin-top: 10rem;
    }

    .section9-h2 {
        width: 80%;
    }

    .section9-content-container {
        height: 75rem;
    }

    .section9-content-container {
        background-position: 50% 12rem;
    }

    .section9-item-p {
        font-size: 1.3rem;
    }

    .section9-item-image {
        width: 3.5rem;
        height: 3.5rem;
    }

    .section9-button {
        font-size: 1.3rem;
    }

    .section9-item4 {
        bottom: 8rem;
        right: 50%;
        transform: translateX(50%);
    }

    .section9-item3 {
        bottom: 14rem;
        left: 50%;
        transform: translateX(-50%);
    }

    .section9-item-container {
        width: 26rem;
    }

    .section9-item2 {
        top: 50rem;
        right: 50%;
        transform: translateX(50%);
    }

    .section9-item1 {
        top: 42rem;
        left: 50%;
        transform: translateX(-50%);
    }

    .section10-items-container {
        flex-direction: column;
        gap: 15rem;
        align-items: center;
    }

    .section10-title {
        font-size: 1.6rem;
    }

    .section10-text {
        font-size: 1.3rem;
    }

    .section10-image {
        width: 17rem;
        top: -10rem;
    }

    .section10-item {
        width: 30rem;
        height: 30rem;
    }
}

@media (max-width: 500px) {
    .home-section1-container {
        align-items: start;
        justify-content: center;
        padding-top: 3rem;
    }

    .section1-content-h1 {
        font-size: 1.6rem;
        text-align: center;
    }

    .section1-button {
        width: 13rem;
        font-size: 1rem;
        margin: 0 auto;
    }

    .section1-content-container {
        gap: 16.5rem;
    }

    .section1-image {
        width: 12rem;
        right: 50%;
        transform: translateX(50%);
        top: 9rem;
    }

    .section2-area2, .section2-area3, .section2-area4, .section2-area5, .section2-area6, .section2-area7, .section2-area8 {
        height: 20rem;
    }

    .section2-h2-responsive {
        font-size: 1.6rem;
        margin-bottom: 3.5rem;
    }

    .section3-item-title {
        font-size: 1.6rem;
    }

    .section3-button {
        font-size: 1rem;
    }

    .section4-h2 {
        width: 75%;
        font-size: 1.6rem;
    }

    .section4-item-text {
        font-size: 1.3rem;
        font-weight: 500;
    }

    .section5-item-container {
        width: 80%;
    }

    .section5-item-title {
        line-height: 1.1;
        font-weight: 500;
    }

    .carousel-thumbnails {
        height: 135px;
    }

    .section5-item-text {
        font-size: 1rem;
        margin-top: 0.5rem;
    }

    .section6-container {
        gap: 3rem;
    }

    .section6-h2 {
        font-size: 1.6rem;
    }

    .section6-content-container {
        width: 95%;
    }

    .section6-item-info {
        font-size: 1rem;
    }

    .section7-information-container {
        width: 95%;
    }

    .section7-information-title {
        font-size: 1.6rem;
    }

    .section7-information-text {
        width: 80%;
        text-align: center;
        font-size: 1rem;
    }

    .section7-image {
        width: 28rem;
    }

    .section8-title {
        font-size: 1.6rem;
    }

    .section8-information {
        width: 20rem;
        font-size: 1rem;
    }

    .section9-h2 {
        font-size: 1.6rem;
    }

    .section9-content-container {
        background-position: 50% 9rem;
        background-size: 70%;
    }

    .section9-item-p {
        font-size: 1rem;
    }

    .section9-item-container {
        width: 21rem;
    }

    .section9-content-container {
        height: 70rem;
    }

    .section9-button {
        font-size: 1rem;
    }

    .section9-item4 {
        bottom: 6rem;
    }

    .section9-item3 {
        bottom: 12rem;
    }

    .section9-item2 {
        top: 48rem;
    }

    .section10-h2 {
        font-size: 1.6rem;
    }

    .section10-item {
        width: 90%;
    }

    .section10-title {
        font-size: 1.3rem;
    }

    .section10-text {
        font-size: 1rem;
    }

    .section10-item {
        height: 28rem;
    }
}